<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [setMaterialMarketTA1](./bitburner.warehouseapi.setmaterialmarketta1.md)

## WarehouseAPI.setMaterialMarketTA1() method

Set Market-TA1 for a material.

**Signature:**

```typescript
setMaterialMarketTA1(divisionName: string, city: CityName | `${CityName}`, materialName: string, on: boolean): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of the city |
|  materialName | string | Name of the material |
|  on | boolean | Use true to enable, false otherwise. |

**Returns:**

void

## Remarks

RAM cost: 20 GB

